Bug 442895 - /usr/lib/libbaconvideowidget.so symbolic link broken
/usr/lib/libbaconvideowidget.so symbolic link broken
Product: Fedora
Classification: Fedora
Component: totem (Show other bugs)
i386 Linux
low Severity low
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
: 443263 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2008-04-17 09:58 EDT by sangu
Modified: 2008-04-24 17:20 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-04-24 05:39:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Prevents alternatives configuration from being removed on upgrade (2.48 KB, patch)
2008-04-21 17:14 EDT, Stewart Adam
no flags Details | Diff

  None (edit)
Description sangu 2008-04-17 09:58:29 EDT
Description of problem:
$ ls -al   /usr/lib/libbaconvideowidget.so
lrwxrwxrwx 1 root root 28 2008-04-17 22:39 /usr/lib/libbaconvideowidget.so ->
$ ls -aHl /usr/lib/libbaconvideowidget.so
ls: cannot access libbaconvideowidget.so: No such file or directory

$ rpm -qf /usr/lib/libbaconvideowidget.so

$/sbin/ldconfig -v

:/sbin/ldconfig: Cannot stat /usr/lib/libbaconvideowidget.so: No such file or

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Bastien Nocera 2008-04-17 10:53:52 EDT
Could you please post the output of rpm -qa "*totem*" ?
Comment 2 sangu 2008-04-17 11:09:46 EDT
(In reply to comment #1)
> Could you please post the output of rpm -qa "*totem*" ?

$ rpm -qa "*totem*"
Comment 3 Bastien Nocera 2008-04-17 11:27:21 EDT
Stewart, any ideas?
Comment 4 Stewart Adam 2008-04-17 17:36:09 EDT
Looks like something went wrong with alternatives - If you run this as root:
$ /usr/sbin/alternatives --display totem-backend
nothing happens, right?

(I think this has something to do with the scriptlets - my first guess would be
that postuninstall is running upon an upgrade, removing the alternatives
configuration but postinstall isn't run so the result is a broken link)
Comment 5 Bastien Nocera 2008-04-21 13:49:51 EDT
*** Bug 443263 has been marked as a duplicate of this bug. ***
Comment 6 Bastien Nocera 2008-04-21 13:52:19 EDT
Goes empty. The problem is that there's no way to fix this problem in an
upgrade, as it's the old package's postun that will be run, and will remove the
alternatives link...

Only way is to remove the totem package and re-install it. I'm building a new
package that won't remove those links on upgrade now.
Comment 7 Stewart Adam 2008-04-21 17:14:58 EDT
Created attachment 303207 [details]
Prevents alternatives configuration from being removed on upgrade

The problem with this patch is it will require two upgrades to take effect,
although I think at this point that is unavoidable.
Comment 8 Bastien Nocera 2008-04-24 05:39:05 EDT
This should be fixed in totem-2.23.2-2.fc9. Obviously, upgrading from a broken
version won't work as expected, as it's the old version's post script that will
be running...
Comment 9 Martin Jürgens 2008-04-24 16:03:22 EDT
Still the same for me with that version. Totem-backend does not change anything.
Comment 10 Stewart Adam 2008-04-24 17:04:29 EDT
As Bastien mentioned that's because the old post script is still run. To
re-establish the symbolic link, run:
#  /usr/sbin/alternatives --install /usr/lib64/libbaconvideowidget.so.0.0.0
totem-backend /usr/lib64/libbaconvideowidget-gstreamer.so.0.0.0 2
#  /usr/sbin/alternatives --install /usr/lib64/libbaconvideowidget.so.0.0.0
totem-backend /usr/lib64/libbaconvideowidget-xine.so.0.0.0 1
as applicable (ie don't run the alternatives command for
libbaconvideowidget-xine.so.0.0.0 without totem-xine installed) and things
should return to normal.

If you'd prefer not using the command line, simply remove and then reinstall the
totem backends.
Comment 11 Martin Jürgens 2008-04-24 17:20:44 EDT
Works indeed. Thanks

Note You need to log in before you can comment on or make changes to this bug.